Subject: Re: No traffic with Marvell switch and latest linux-next

From: Andrew Lunn <[email-masked]>
Date: Sun, 17 Feb 2019 17:57:30 +0100

> There haven't been that many changes to mv88e8xxx since 5.0-rc6.
> I reverted 7c0db24cc431 ("dsa: mv88e6xxx: Ensure all pending interrupts
> are handled prior to exit") who looked like a candidate and bingo:
> network is working again. Obviously something is wrong with this patch.

O.K. I tested it on an edge interrupt system, but not a level
interrupt. I wounder if it is related to that somehow? DTU should be
using level interrupts.

       Andrew